##
##  espeak.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         espeak
Summary:      Speech Synthesis System
URL:          http://espeak.sourceforge.net/
Vendor:       J. Duddington, G. Casse, R. Bencina, P. Burk
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Audio
License:      GPL
Version:      1.48.04
Release:      20140307

#   list of sources
Source0:      http://download.sourceforge.net/espeak/espeak-%{version}-source.zip
Source1:      espeak.1
Patch0:       espeak.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip, make, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101

%description
    eSpeak is a Text to Speech engine for English and several other
    languages. Compact size and clear pronunciation. It speaks text
    files.

%track
    prog espeak = {
        version   = %{version}
        url       = http://sourceforge.net/projects/espeak/files/
        regex     = espeak-(__VER__)-source\.zip
    }

%prep
    %setup -q -T -c -n espeak-%{version}-source
    unzip -q -x %{SOURCE0}
    cd espeak-*-source
    %patch -p0

%build
    ( cd espeak-*-source/src
      %{l_make} %{l_mflags} \
          DATADIR="%{l_prefix}/share/espeak"
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/espeak \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -s -m 755 \
        espeak-*-source/src/espeak $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        %{SOURCE espeak.1} $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    cp -rp espeak-*-source/espeak-data/* \
        $RPM_BUILD_ROOT%{l_prefix}/share/espeak/
    %{l_shtool} install -c -m 644 \
        espeak-*-source/src/speak_lib.h \
        $RPM_BUILD_ROOT%{l_prefix}/include/espeak.hh
    %{l_shtool} install -c -m 644 \
        espeak-*-source/src/libespeak.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

